# Enum Class MPackageReaderType.PlatformDependentModulePolicy

java.lang.Object
java.lang.Enum<MPackageReaderType.PlatformDependentModulePolicy>
com.io7m.montarre.api.io.MPackageReaderType.PlatformDependentModulePolicy

All Implemented Interfaces:
  `Serializable, Comparable<MPackageReaderType.PlatformDependentModulePolicy>, Constable`

Enclosing interface:
  `MPackageReaderType`

public static enum MPackageReaderType.PlatformDependentModulePolicy extends Enum<MPackageReaderType.PlatformDependentModulePolicy>
The policy for platform-dependent modules.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `IGNORE`
  Ignore the module; do not unpack it at all.
  `INCLUDE`
  Include the module and leave it in a platform-dependent module directory.
  `MERGE`
  Include the module and merge it into the same directory as the platform-independent modules.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MPackageReaderType.PlatformDependentModulePolicy`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MPackageReaderType.PlatformDependentModulePolicy[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### IGNORE

    public static final MPackageReaderType.PlatformDependentModulePolicy IGNORE
    Ignore the module; do not unpack it at all.

  - ### MERGE

    public static final MPackageReaderType.PlatformDependentModulePolicy MERGE
    Include the module and merge it into the same directory as the platform-independent modules.

  - ### INCLUDE

    public static final MPackageReaderType.PlatformDependentModulePolicy INCLUDE
    Include the module and leave it in a platform-dependent module directory.

- ## Method Details

  - ### values

    public static MPackageReaderType.PlatformDependentModulePolicy[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MPackageReaderType.PlatformDependentModulePolicy valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null